#include <cstdlib>
#include <iostream>

#include "pdlcount.h"

//--------------------------------------------------------------------------

int
main(int argc, char** argv)
{
  std::cout << "Building PDL-based document counting structure" << std::endl;
  if(argc < 2)
  {
    std::cout << "Usage: build_pdlcount base_name" << std::endl;
    std::cout << std::endl;
    return 1;
  }

  std::string base_name = argv[1];
  std::cout << "Base name: " << base_name << std::endl;
  std::cout << std::endl;

  buildPDLCount(base_name, true);

  return 0;
}
